unifontpic.h File Reference

unifontpic.h - Header file for unifontpic.c More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | MAXSTRING 256
| Maximum input string allowed. More...
#define | HEADER_STRING "GNU Unifont 15.0.03"
| To be printed as chart title. More...

## Variables

const char * | ascii_hex [128]
| Array of Unifont ASCII glyphs for chart row & column headings. More...
int | ascii_bits [128][16]
| Array to hold ASCII bitmaps for chart title. More...
char | hexdigit [16][5]
| Array of 4x5 hexadecimal digits for legend. More...

## Detailed Description

unifontpic.h - Header file for unifontpic.c

Author
  Paul Hardy, July 2017

Copyright
  Copyright (C) 2017 Paul Hardy

Definition in file unifontpic.h.

## Macro Definition Documentation

## HEADER_STRING

#define HEADER_STRING "GNU Unifont 15.0.03"

To be printed as chart title.

Definition at line 30 of file unifontpic.h.

## MAXSTRING

#define MAXSTRING 256

Maximum input string allowed.

Definition at line 28 of file unifontpic.h.

## Variable Documentation

## ascii_bits

int ascii_bits[128][16]

Array to hold ASCII bitmaps for chart title.

This array will be created from the strings in ascii_hex[] above.

Definition at line 177 of file unifontpic.h.

## ascii_hex

const char* ascii_hex[128]

Array of Unifont ASCII glyphs for chart row & column headings.

Define the array of Unifont ASCII glyphs, code points 0 through 127. This allows using unifontpic to print charts of glyphs above Unicode Plane 0. These were copied from font/plane00/unifont-base.hex, plus U+0020 (ASCII space character).

Definition at line 40 of file unifontpic.h.

## hexdigit

char hexdigit[16][5]

Initial value:
= {
{0x6,0x9,0x9,0x9,0x6},
{0x2,0x6,0x2,0x2,0x7},
{0xF,0x1,0xF,0x8,0xF},
{0xE,0x1,0x7,0x1,0xE},
{0x9,0x9,0xF,0x1,0x1},
{0xF,0x8,0xF,0x1,0xF},
{0x6,0x8,0xE,0x9,0x6},
{0xF,0x1,0x2,0x4,0x4},
{0x6,0x9,0x6,0x9,0x6},
{0x6,0x9,0x7,0x1,0x6},
{0xF,0x9,0xF,0x9,0x9},
{0xE,0x9,0xE,0x9,0xE},
{0x7,0x8,0x8,0x8,0x7},
{0xE,0x9,0x9,0x9,0xE},
{0xF,0x8,0xE,0x8,0xF},
{0xF,0x8,0xE,0x8,0x8}
}

Array of 4x5 hexadecimal digits for legend.

hexdigit contains 4x5 pixel arrays of tiny digits for the legend. See unihexgen.c for a more detailed description in the comments.

Definition at line 186 of file unifontpic.h.